## com.sun.jersey.server.spi.component
Class ResourceComponentDestructor

    java.lang.Object
      com.sun.jersey.server.spi.component.ResourceComponentDestructor

    public class ResourceComponentDestructor

extends java.lang.Object

A destructor of a resource class instance.

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`ResourceComponentDestructor(AbstractResource ar)`

Method Summary
`void` | `destroy(java.lang.Object o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceComponentDestructor

    public ResourceComponentDestructor(AbstractResource ar)

Method Detail

### destroy

    public void destroy(java.lang.Object o)
                 throws java.lang.IllegalAccessException,
                        java.lang.IllegalArgumentException,
                        java.lang.reflect.InvocationTargetException

  Throws:
    `java.lang.IllegalAccessException`
    `java.lang.IllegalArgumentException`
    `java.lang.reflect.InvocationTargetException`

Copyright © 2017 Oracle Corporation. All Rights Reserved.